#!/bin/bash

PYTHON=/usr/bin/python
DESTDIR=/
PROJECT=db-patch-sqlite-native
VERSION=0.1
TGZ=$PROJECT-$VERSION.tar.gz
DEB_BOX=deb_box

cd ..

# Create tgz
python setup.py sdist --dist-dir=../ --prune
python setup.py clean
rm MANIFEST
find -name '*.pyc' -delete
find -name '*~' -delete

## Debian package creation
mkdir $DEB_BOX
mv ../$TGZ $DEB_BOX
cd $DEB_BOX
py2dsc $TGZ

# Requires define the next enviroment variables: DEBFULLNAME and DEBEMAIL
cd deb_dist/$PROJECT-$VERSION/
debuild 

# Cleaning ...
cd ..
rm -rf $PROJECT-$VERSION/ $PROJECT-$VERSION.orig/

